from systemrelation import graph_model
from systemrelation import systemgraph_display
from systemrelation import systemdatautils
from systemrelation import systemutils

if '__main__'==__name__:
	project_id="Pj1101010015"
	system_name="冷冻水供水管"
	domain="DomainPiping"
	models=systemdatautils.get_project_models(project_id)
	floorgraphs=[]
	for model in models:
		g=graph_model.FloorGraph(model,system_name,domain)
		g.get_floor_graphs()
		floorgraphs.append(g)
	projectgraph=systemutils.combine_systemgraph(floorgraphs)
	systemdatautils.save_project_data(projectgraph,project_id)
	systemgraph_display.show_project(projectgraph)